function main(self)
	if self.State == 0 then
		self.SpecialFlags.TriggerElevator = true
		self.SpecialFlags.StartElevator = true
		TriggerElevator(self)
		self.MoveRect = {-60,-8,64,0}
		self.AttackRect = {-60,-8,64,0}
		self.HitRect = {-60,-8,64,0}
	else
		TriggerElevator(self)
	end
end